From ef090ee5a913f2c68e0fbed2600bfe38dfe55029 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Zbigniew=20J=C4=99drzejewski-Szmek?= <zbyszek@in.waw.pl>
Date: Sun, 24 Jan 2021 21:12:22 +0100
Subject: [PATCH 1/2] Fix borked error check

---
 rtkit-daemon.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/rtkit-daemon.c b/rtkit-daemon.c
index 3ecc1f7840..a15e84f8f5 100644
--- a/rtkit-daemon.c
+++ b/rtkit-daemon.c
@@ -1463,7 +1463,7 @@ static DBusHandlerResult dbus_handler(DBusConnection *c, DBusMessage *m, void *u
                 if (strcmp(interface, "org.freedesktop.RealtimeKit1") == 0) {
                         assert_se(r = dbus_message_new_method_return(m));
 
-                        if (!handle_dbus_prop_get(property, r) < 0) {
+                        if (handle_dbus_prop_get(property, r) < 0) {
                                 dbus_message_unref(r);
                                 assert_se(r = dbus_message_new_error_printf(
                                           m,
